Package org.h2.index

# Interface SpatialIndex

All Known Implementing Classes:
  `MVSpatialIndex`, `RegularQueryExpressionIndex`

public interface SpatialIndex
A spatial index. Spatial indexes are used to speed up searching spatial/geometric data.

## Method Summary

Modifier and Type
Method
Description
`Cursor`
`findByGeometry(SessionLocal session, SearchRow first, SearchRow last, boolean reverse, SearchRow intersection)`
Find a row or a list of rows and create a cursor to iterate over the result.

## Method Details

### findByGeometry

Cursor findByGeometry(SessionLocal session, SearchRow first, SearchRow last, boolean reverse, SearchRow intersection)
Find a row or a list of rows and create a cursor to iterate over the result.

Parameters:
  `session` - the session
  `first` - the lower bound
  `last` - the upper bound
  `reverse` - if true, iterate in reverse (descending) order
  `intersection` - the geometry which values should intersect with, or null for anything
Returns:
  the cursor to iterate over the results